From 4563fb1c746d4526d210e95b66d548632bbe72e8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 08 2020 23:43:19 +0000
Subject: [PATCH 1001/2232] Add lazy_static dep to cxx-build


---

diff --git a/BUCK b/BUCK
index 0505bd2..22db155 100644
--- a/BUCK
+++ b/BUCK
@@ -53,6 +53,7 @@ rust_library(
     deps = [
         "//third-party:cc",
         "//third-party:codespan-reporting",
+        "//third-party:lazy_static",
         "//third-party:proc-macro2",
         "//third-party:quote",
         "//third-party:syn",
diff --git a/BUILD b/BUILD
index e551d18..782374b 100644
--- a/BUILD
+++ b/BUILD
@@ -59,6 +59,7 @@ rust_library(
     deps = [
         "//third-party:cc",
         "//third-party:codespan-reporting",
+        "//third-party:lazy_static",
         "//third-party:proc-macro2",
         "//third-party:quote",
         "//third-party:syn",
diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 675261e..3671781 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -13,6 +13,7 @@ categories = ["development-tools::ffi"]
 [dependencies]
 cc = "1.0.49"
 codespan-reporting = "0.9"
+lazy_static = "1.4"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
 syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
diff --git a/third-party/BUCK b/third-party/BUCK
index e6a5611..3b0ec99 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -36,6 +36,7 @@ rust_library(
 rust_library(
     name = "lazy_static",
     srcs = glob(["vendor/lazy_static-1.4.0/src/**"]),
+    visibility = ["PUBLIC"],
 )
 
 rust_library(
diff --git a/third-party/BUILD b/third-party/BUILD
index f874d07..3477326 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -41,6 +41,7 @@ rust_library(
 rust_library(
     name = "lazy_static",
     srcs = glob(["vendor/lazy_static-1.4.0/src/**"]),
+    visibility = ["//visibility:public"],
 )
 
 rust_library(
